Use Different JDKs for IDE & Project

I'm running IDEA 8 & 9 on MacOS. Is there a way to have the IDE use 64-bit 1.6, and have the project files use and run in 1.5? I want the best performance out of the IDE, but I have to ensure the code is compiled & running under 1.5.

1 comment
Comment actions Permalink

Yes there is. Configure your project's JDK on the "Project Structure" (File -> Project Structure or simply ctrl+shift+alt+S). You can also define different JDKs for each module on the module's dependency tab. You can specify the JDK IDEA uses by creating and setting an IDEA_JDK environment variable.

0

Please sign in to leave a comment.